using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using TelerikAspNetCoreApp576.Models;

namespace TelerikAspNetCoreApp576.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            var vm = new OrderViewModel() {OrderDate = DateTime.Now, ShipName = "Some content here", ShipCity = "Some  other content here" };
            return View(vm);
        }

        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Error()
        {
            return View();
        }
    }
}
